---
{%- from "borg/map.jinja" import borg with context %}
{% for key, job in borg.jobs.items() %}
borg-config-script-{{ key }}:
  file.managed:
    - name: {{ borg.working_dir }}/scripts/borg_{{ key }}.sh
    - source: salt://borg/templates/borg_job.sh.j2
    - template: jinja
    - user: root
    - group: root
    - mode: 0755
    - context:
      key: {{ key }}
      job: {{ job }}
      working_dir: {{ borg.working_dir }}
{% endfor %}
